#include <stdio.h>

int provera(int a[],int n){
	int i;
	for(i=0;i<n;i++)
		if(a[i]==a[n])
			return 0;
	return 1;
}

int main()
{
    int n,k,i,br=1,j;
    
    int a[n],niz[n/2];
    
    scanf("%d%d",&n,&k);
    
    for(i=0;i<n;i++)
        scanf("%d",&a[i]);    
    
    int p=0;
    
    for(i=0;i<n-1;i++){
    	if(provera(a,i)){  
		    for(j=i+1;j<n;j++)
	            if(a[i]==a[j]){
	            	br=br+1;          
				}
				
	           	if(br>=k){
	        		niz[p] = a[i];
	        		p++;
				}
			br=1;
		}
		
	       
	} 
	printf("%d\n",p);
	for(i=0;i<p;i++)
		printf("%d ",niz[i]);	
	
    return 0;
}